@import "../../vars";

.footer {
  color: $matterColorLight;
  background-color: $marketplaceColor;
  padding: 50px 40px;

  @media (min-width: $viewportLarge) {
    padding: 89px 40px;
  }
}

.container {
  max-width: 1250px;
  margin: auto;
}

.grid {
  width: 100%;
  display: grid;
  grid-template-rows: repeat(6, auto);
  grid-row-gap: 50px;

  @media (min-width: $viewportMedium) {
    grid-gap: 50px;
    grid-template-rows: none;
    grid-template-columns: repeat(3, 1fr);
  }

  @media (min-width: $viewportLarge) {
    grid-template-columns: 1fr 1fr 1fr 300px;
  }
}

.gridItem {
  display: flex;
  flex-flow: column;
  align-items: flex-start;
}

.subscribeCta {
  @media (min-width: $viewportMedium) {
    grid-column: 1 / 3;
  }

  @media (min-width: $viewportLarge) {
    grid-row: 1;
    grid-column: 4 / 5;
  }
}

.subscribeCtaButtonWrapper {
  margin-top: 25px;

  @media (min-width: $viewportLarge) {
    margin-top: 18px;
  }
}

.languageSelector {
  grid-row: 1;

  @media (min-width: $viewportMedium) {
    grid-row: 3;
  }

  @media (min-width: $viewportLarge) {
    grid-row: 2;
    grid-column: 1 / 2;
  }
}

.allRightsReserved {
  grid-row: 6;
  justify-content: center;

  @media (min-width: $viewportMedium) {
    grid-row: 3;
    grid-column: 2 / 4;
  }

  @media (min-width: $viewportLarge) {
    grid-row: 2;
  }
}

.columnHeader {
  font-family: $fontBold;
  font-size: 16px;
  line-height: 26px;
  text-transform: none;
  margin: 0 0 10px;

  @media (min-width: $viewportMedium) {
    line-height: 28px;
  }
}

.link {
  display: block;
  color: $matterColorLight;
  font-size: 16px;
  line-height: 26px;
  font-weight: 400;
  text-decoration: none;

  &:hover {
    text-decoration: underline;
  }

  @media (min-width: $viewportMedium) {
    line-height: 28px;
  }
}

.columnButtonAsLink {
  color: black;
}

.text {
  margin: 0;
  line-height: 28px;
}

.footerLangSelectRoot {
  @media (min-width: $viewportMedium) {
    width: 100%;
  }
}

.footerLangSelect {
  color: $matterColorLight;
  border: 0 !important;
}
